## ros-rolling-ament-cppcheck 0.11.4

=== debian/changelog ===
ros-rolling-ament-cppcheck (0.11.4-1focal) focal; urgency=high

  * Update forthcoming version in changelogs
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-ament-cppcheck (0.11.3-1focal) focal; urgency=high

  * Update maintainers to Michael Jeronimo and Michel Hidalgo (#340 <https://github.com/ament/ament_lint/issues/340>)
  * Add cppcheck libraries option (#323 <https://github.com/ament/ament_lint/issues/323>)
    * adding ament_cppcheck libraries option
    * pass libraries option via CMake
    Co-authored-by: William Wedler <mailto:william.wedler@resquared.com>
  * Contributors: Audrow Nash, Will

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-ament-cppcheck (0.11.2-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 18 Jun 2021 07:00:00 -0000

ros-rolling-ament-cppcheck (0.11.1-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 18 Jun 2021 07:00:00 -0000

ros-rolling-ament-cppcheck (0.11.0-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 18 Jun 2021 07:00:00 -0000

ros-rolling-ament-cppcheck (0.10.6-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 06 May 2021 07:00:00 -0000

ros-rolling-ament-cppcheck (0.10.5-1focal) focal; urgency=high

  * Remove Claire as a maintainer. (#312 <https://github.com/ament/ament_lint/issues/312>)
    * Remove Claire as a maintainer.
    * Remove dead email addresses.
    * Remove more dead email addresses.
    * Switch setup.py maintainer to Audrow.
  * Contributors: Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 14 Apr 2021 07:00:00 -0000

ros-rolling-ament-cppcheck (0.10.4-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 18 Mar 2021 07:00:00 -0000

ros-rolling-ament-cppcheck (0.10.3-1focal) focal; urgency=high

  * 0.10.3
  * Fix file exclusion behavior in ament_cppcheck and ament_cpplint (#299 <https://github.com/ament/ament_lint/issues/299>)
    * fix exclude behavior in ament_cppcheck and ament_cpplint
    * fix flake8 errors
    * add missing realpath() conversion
  * Contributors: Audrow Nash, M. Mei

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 03 Mar 2021 08:00:00 -0000

ros-rolling-ament-cppcheck (0.10.2-1focal) focal; urgency=high

  * Add Audrow as a maintainer (#294 <https://github.com/ament/ament_lint/issues/294>)
  * Drop trailing tab from package manifests (#291 <https://github.com/ament/ament_lint/issues/291>)
    Follow-up to 8bf194aa1ac282db5483dd0d3fefff8f325b0db8
  * Contributors: Audrow Nash, Scott K Logan

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 12 Feb 2021 08:00:00 -0000

ros-rolling-ament-cppcheck (0.10.1-1focal) focal; urgency=high

  * Suppress unknownMacro (#268 <https://github.com/ament/ament_lint/issues/268>)
    cppcheck creates an unknownMacro error when it cannot resolve a macro.
    Since we don't pass in all dependent headers, we don't expect all macros to be discoverable by cppcheck.
  * Update maintainer (#274 <https://github.com/ament/ament_lint/issues/274>)
    * update maintainer
    * add authors
  * Contributors: Claire Wang, Dan Rose

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-rolling-ament-cppcheck (0.10.0-1focal) focal; urgency=high

  * Add pytest.ini so local tests don't display warning. (#259 <https://github.com/ament/ament_lint/issues/259>)
  * Contributors: Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 18 Sep 2020 07:00:00 -0000

ros-rolling-ament-cppcheck (0.9.4-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 26 May 2020 07:00:00 -0000

ros-rolling-ament-cppcheck (0.9.3-1focal) focal; urgency=high

  * Updated cpplint and cppcheck to exclude directories and files (#234 <https://github.com/ament/ament_lint/issues/234>)
    * UPted cpplint and cppcheck to exclude directories and files
    * setting a global variable to configure automatic linting
    * Fixed cmake docbloc
    * Added feedback
    * Allowed cpplint to exclude files
    * Restored cpplint.py
  * Contributors: Alejandro Hernández Cordero

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 18 May 2020 07:00:00 -0000

ros-rolling-ament-cppcheck (0.9.2-1focal) focal; urgency=high

  * Allow AMENT_IGNORE markers to be directories (#232 <https://github.com/ament/ament_lint/issues/232>)
  * Contributors: Dan Rose

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 08 May 2020 07:00:00 -0000

ros-rolling-ament-cppcheck (0.9.1-1focal) focal; urgency=high

  * 0.9.0
  * Generate xunit files valid for the junit10.xsd (#220 <https://github.com/ament/ament_lint/issues/220>)
  * Suppress internalAstError (#219 <https://github.com/ament/ament_lint/issues/219>)
    cppcheck can, in some cases, construct an invalid parse tree.
    http://build.ros2.org/user/rotu/my-views/view/CycloneDDS/job/Fci__nightly-cyclonedds_ubuntu_focal_amd64/lastCompletedBuild/testReport/rclcpp/cppcheck/error__internalAstError__src_rclcpp_clock_cpp_159_/
    ```
    - rclcpp.cppcheck error: internalAstError (src/rclcpp/clock.cpp:159)
    <<< failure message
    Syntax Error: AST broken, 'if' doesn't have two operands.
    >>>
    ```
    This error sounds like a syntax error, but is in fact, not. (cppcheck doesn't seem to even find the syntax error in if(1,1){})
    This commit causes such errors to be silently ignored, as they are not actionable.
  * [ament_cppcheck] Report errors from additional includes (#216 <https://github.com/ament/ament_lint/issues/216>)
    * [ament_cppcheck] Report errors from additional includes
    Before, if an error was found in an additional include we get a KeyError exception.
    * Use defaultdict
  * remove status attribute from result XML (#212 <https://github.com/ament/ament_lint/issues/212>)

